.payment {
  &__bred-crumb {
    margin-bottom: 50px;
  }
  // .payment__container
  &__container {
  }
  // .payment__row
  &__row {
    display: flex;
    justify-content: space-between;
  }
  // .payment__box-1
  &__box-1 {
    width: 274px;
    min-width: 274px;
    margin-right: 120px;
  }
  &__box-2 {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    flex: 1 1 auto;
  }
  &__box-3 {
    width: 260px;
    min-width: 260px;
    margin-bottom: 30px;
  }
  // .payment__btns
  &__btns {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    a {
      display: block;
      height: fit-content;
      border: 1px solid #d8d8d8;
      border-radius: 16px;
      padding: 15px;
      font-family: 'Poppins SemiBold';
      font-size: 13px;
      line-height: 20px;
      text-align: center;
      color: #000000;
      text-transform: uppercase;
      width: calc(50% - 5px);
      margin-bottom: 11px;
      transition: 0.2s;
      &:hover {
        background-color: #69a03a;
        color: #fff;
      }
    }
    .payment__btn-big {
      width: 100%;
      background: #69a03a;
      color: #fff;
      margin-bottom: 27px;
    }
  }

  // .payment__box-2

  // .payment__basket-mini
  &__basket-mini {
  }
  // .payment__box-3

  // .payment__checkbox-row
  &__checkbox-row {
    max-width: 333px;
    width: 100%;
    margin-bottom: 20px;
  }
  // .payment__send-btn
  &__send-btn {
    display: flex;
    justify-content: flex-end;
    margin-top: 15px;
    button {
      background: #69a03a;
      font-family: 'Poppins SemiBold';
      font-size: 13px;
      line-height: 20px;
      text-transform: uppercase;
      color: #fff;
      padding: 15px 42px;
      border-radius: 16px;
    }
  }
  // .payment__send-adress
  &__send-adress {
    width: 100%;
    max-width: 333px;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    margin-bottom: 30px;
  }
  // .payment__send-adress-titles
  &__send-adress-titles {
    padding-right: 10px;
    h2 {
      font-family: 'Poppins Medium';
      color: #7c7d7e;
      font-size: 12px;
      line-height: 16px;
      margin-bottom: 5px;
    }
    h3 {
      font-family: 'Poppins Bold';
      color: #4a4b4d;
      font-size: 14px;
      line-height: 18px;
    }
  }
  // .payment__send-adress-send
  &__send-adress-send {
    font-family: 'Poppins Bold';
    font-size: 13px;
    line-height: 24px;
    color: #ff9105;
    background-color: transparent;
  }

  .profile {
    // .profile__box
    &__box {
    }
    // .profile__title
    &__title {
    }
    // .profile__input
    &__input {
    }
  }
  @media (max-width: $md1) {
    &__row {
      flex-wrap: wrap;
    }
    &__box-1 {
      width: 100%;
      margin-right: 0;
    }
    &__box-3 {
      margin-top: 30px;
      width: 100%;
      min-width: 100%;
      display: flex;
      height: fit-content;
      .payment__btns {
        width: 300px;
        height: fit-content;
        margin-right: 20px;
      }
      .profile__box {
        flex: 1 1 auto;
      }
    }
  }
  @media (max-width: 600px) {
    &__row {
      flex-wrap: wrap;
    }
    &__box-3 {
      min-width: 300px;
      flex-direction: column;
      .payment__btns {
        width: 100%;
        height: fit-content;
        margin-right: 20px;
      }
      .profile__box {
        flex: 1 1 auto;
      }
    }
  }
}

.checkbox-row {
  // .checkbox-row__title
  &__title {
    font-family: 'Poppins SemiBold';
    font-size: 14px;
    line-height: 21px;
    margin-bottom: 26px;
    color: #2d2d2d;
    padding-left: 5px;
  }
  // .checkbox-row__container
  &__container {
    width: 100%;
    label {
      cursor: pointer;
      width: 100%;
      border: 1px solid #d8d8d8;
      border-radius: 22px;
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding: 13px 21px;
      margin-bottom: 8px;
      color: #2d2d2d;
      input {
        display: none;
      }
      p {
        font-family: 'Poppins Medium';
        font-size: 12px;
        line-height: 18px;
      }
      span {
        display: block;
        width: 14px;
        height: 14px;
        border-radius: 50%;
        border: 1px solid #d8d8d8;
        position: relative;
        &::before {
          content: '';
          position: absolute;
          width: 8px;
          height: 8px;
          border-radius: 50%;
          top: 50%;
          left: 50%;
          transform: translate(-50%, -50%);
        }
      }
      input:checked ~ span {
        border-color: #ff9105;
        &::before {
          background-color: #ff9105;
        }
      }
    }
  }
}

.basket-mini {
  // .basket-mini__big-title
  &__big-title {
    font-family: 'Poppins SemiBold';
    margin-bottom: 30px;
    font-size: 14px;
    line-height: 24px;
    color: #000000;
  }
  // .basket-mini__row
  &__row {
  }
  // .basket-mini__column
  &__column {
    display: flex;
    align-items: center;
    margin-bottom: 30px;
  }
  // .basket-mini__img
  &__img {
    width: 51.54px;
    height: 51.54px;
    display: flex;
    align-items: center;
    justify-content: center;
    img {
      max-width: 100%;
      max-height: 100%;
    }
  }
  // .basket-mini__content
  &__content {
    flex: 1 1 auto;
    margin-left: 16px;
  }
  // .basket-mini__title
  &__title {
    font-family: 'Poppins SemiBold';
    font-size: 14px;
    line-height: 20px;
    color: #000000;
    margin-bottom: 2px;
  }
  // .basket-mini__key
  &__key {
    font-size: 12px;
    line-height: 16px;
    color: #c4c4c4;
  }
  // .basket-mini__price
  &__price {
    font-family: 'Poppins SemiBold';
    color: #000000;
    font-size: 14px;
    line-height: 21px;
  }
  // .basket-mini__price-box
  &__price-box {
    margin-top: 40px;
  }
  &__price-box-container {
    width: 244px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 13px 35px;
    font-size: 16px;
    line-height: 25px;
    color: #000000;
    background: #f1f1f1;
    border-radius: 40px;
    margin-bottom: 11px;
    h3 {
      font-family: 'Poppins Light';
    }
    p {
      font-family: 'Poppins SemiBold';
    }
  }
}

.payment-popup {
  position: fixed;
  z-index: 9999;
  width: 100%;
  min-height: 100vh;
  background-color: rgba(#000, 0.56);
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  overflow-y: auto;
  display: none;
  &.active {
    display: block;
  }
  // .payment-popup__container
  &__container {
    margin-top: 25vh;
  }
  // .payment-popup__title
  &__title {
    font-family: 'Poppins SemiBold';
    font-size: 30px;
    line-height: 46px;
    margin-bottom: 49px;
    color: #fff;
    text-align: center;
  }
  // .payment-popup__row
  &__row {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
  }
  // .payment-popup__column
  &__column {
    width: 255px;
    padding: 20px;
    margin: 15px;
    background-color: #fff;
    border-radius: 16px;
    h2 {
      display: flex;
      align-items: center;
      margin-bottom: 5px;
      color: #131010;
      font-size: 14px;
      line-height: 21px;
    }
  }
  // .payment-popup__icon
  &__icon {
    width: 25px;
    margin-right: 10px;
  }
  @media (max-width: $md2) {
    &__container {
      margin-top: 50px;
    }
    &__title {
      font-size: 25px;
      line-height: 35px;
    }
  }
  @media (max-width: $md3) {
    &__container {
      margin-top: 30px;
    }
    &__title {
      font-size: 20px;
      line-height: 30px;
      margin-bottom: 30px;
    }
  }
}
